stages:
  - build

#workflow:
#  rules:
#    - if: $CI_COMMIT_TITLE =~ /-draft$/
#      when: never
#    - when: always
#    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
#    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

build:
  stage: build
  script:
    - module load R/4.1.2-foss-2015a-bare
    - module load CDO/1.9.8-foss-2015a
    - R CMD build --resave-data .
    - R CMD check --as-cran --no-manual --run-donttest startR_*.tar.gz

